import {AdRecord} from "../records/ad.record";

const defaultObj = {
    name: 'Test Name',
    description: "Testing...",
    url: 'https://dominikdrozd.pl',
    price: 0,
    lat: 20,
    lon: 50,
};

test('Can build AdRecord', () => {
    const ad = new AdRecord(defaultObj);

    expect(ad.name).toBe('Test Name');
    expect(ad.description).toBe(('Testing...'));
});

test('Validates invalid price', () => {
    expect(() => new AdRecord({...defaultObj, price: -5,})).toThrow('Price can not be less than 0 or greater than 9999999.')
});

// @TODO check all the validations