"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ad_record_1 = require("../records/ad.record");
const defaultObj = {
    name: 'Test Name',
    description: "Testing...",
    url: 'https://dominikdrozd.pl',
    price: 0,
    lat: 20,
    lon: 50,
};
test('Can build AdRecord', () => {
    const ad = new ad_record_1.AdRecord(defaultObj);
    expect(ad.name).toBe('Test Name');
    expect(ad.description).toBe(('Testing...'));
});
test('Validates invalid price', () => {
    expect(() => new ad_record_1.AdRecord(Object.assign(Object.assign({}, defaultObj), { price: -5 }))).toThrow('Price can not be less than 0 or greater than 9999999.');
});
// @TODO check all the validations
//# sourceMappingURL=ad-record.test.js.map